/** @file
 * $Source: /home/cvsmanager/yoda/event/tmtc/TmtcEvent.h,v $
 * $Id: TmtcEvent.h,v 4.0 2005/03/06 04:33:01 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Header file for the TmtcEvent class.
 */
#ifndef TMTC_EVENT_H
#define TMTC_EVENT_H

#include <vector>
#include "event/SubPacket.h"
#include "event/tmtc/TmtcRecord.h"
#include <TClonesArray.h>

using namespace std;

namespace pamela {
  /**
   * TmtcEvent data Wrapper.
   *
   * The TmtcEvent represents the "TmtcEvent" packet generated by the PAMELA CPU software
   * and is a collection of several requests to the PAMELA TMTC board.
   */
  class TmtcEvent: public pamela::SubPacket {
  private:
    static TClonesArray *fgRecords;
  public:
    
    TClonesArray* Records;
    
    TmtcEvent(void);
    ~TmtcEvent(void);
    
    ClassDef(TmtcEvent, 1)
  };
}

#endif /* TMTC_EVENT_H */

